From 76dd475a67286b00fac5b56a3bd1347485f3cbb3 Mon Sep 17 00:00:00 2001
From: mattijs <mattijs@hunt.opencfd.co.uk>
Date: Fri, 13 Feb 2009 13:03:10 +0000
Subject: [PATCH] sun porting

---
 bin/tools/inlineReplace      | 28 ++++++++++++++++++++++++++++
 bin/tools/replaceAllShellSun | 15 +++++++++++++++
 2 files changed, 43 insertions(+)
 create mode 100755 bin/tools/inlineReplace
 create mode 100755 bin/tools/replaceAllShellSun

diff --git a/bin/tools/inlineReplace b/bin/tools/inlineReplace
new file mode 100755
index 00000000000..310787935a7
--- /dev/null
+++ b/bin/tools/inlineReplace
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# $0 string1 string2 file1 .. filen
+#
+if [ $# -lt 3 ]; then
+    echo "Usage: `basename $0` [-f] <string1> <string2> <file1> .. <filen>"
+    echo ""
+    echo "Replaces all occurrences of string1 by string2 in files."
+    echo "(replacement of sed -i on those systems that don't support it)"
+    exit 1
+fi
+
+FROMSTRING=$1
+shift
+TOSTRING=$1
+shift
+
+for f in $*
+do
+    if grep "$FROMSTRING" "$f" >/dev/null
+    then
+        cp "$f" "${f}_bak"
+        sed -e "s@$FROMSTRING@$TOSTRING@g" "${f}"_bak > "$f"
+        rm -f "${f}"_bak
+    #else
+    #    echo "String $FROMSTRING not present in $f"
+    #fi
+done
diff --git a/bin/tools/replaceAllShellSun b/bin/tools/replaceAllShellSun
new file mode 100755
index 00000000000..6c9fc5b70a1
--- /dev/null
+++ b/bin/tools/replaceAllShellSun
@@ -0,0 +1,15 @@
+#!/usr/xpg4/bin/sh
+
+# Replace all shell script headers with 
+if [ $# -ne 1 -o ! -d "$1" ]; then
+    echo "Usage: `basename $0` <dir>"
+    echo ""
+    echo "Replaces all occurrences of #!/bin/sh with #!/usr/xpg4/bin/sh inside a directory tree."
+    exit 1
+fi
+
+#- note that below does not work since {} does not get replaced
+#find $1 -type f -exec /usr/xpg4/bin/sh -c "grep '^#\!/bin/sh' {} >/dev/null && echo {} && mv {} {}_bak && sed -e 's@^#\!/bin/sh@#\!/usr/xpg4/bin/sh@' {}_bak > {}" ';'
+
+find $1 -exec $WM_PROJECT_DIR/bin/tools/inlineReplace '^#\!/bin/sh' '#\!/usr/xpg4/bin/sh' {} \; -print
+
-- 
GitLab